View Issue Details

IDProjectCategoryView StatusLast Update
0021197mantisbtfilterspublic2016-10-30 23:22
ReporteramberliAssigned Tocproensa 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.3.0-rc.2 
Target Version1.3.3Fixed in Version1.3.3 
Summary0021197: Hide status show"@0@ (And Above)" when press any "total" link from Summary page
Description

Case1:
1.Press any "total" link from Summary page
2.Check "Hide status"

Case2:
1.Press any "closed" link from Summary page
2.Check "Hide status"

Result:
It will display "@0@ (And Above)"

TagsNo tags attached.

Activities

atrol

atrol

2016-10-19 17:22

developer   ~0054289

Reminder sent to: cproensa

You might also want to have a look at this issue while you are on changing / fixing filter stuff.

cproensa

cproensa

2016-10-19 18:05

developer   ~0054290

It's creating a non valid link:
http://.../view_all_set.php?type=1&temporary=y&handler_id=1&hide_status=

I'm not very used to summary page, but i think a quick fix is taht this should be META_FILTER_NONE for hide_status:
http://.../view_all_set.php?type=1&temporary=y&handler_id=1&hide_status=-2

Related Changesets

MantisBT: master-1.3.x e7973023

2016-10-20 04:54:53

cproensa


Committer: vboctor Details Diff
Fix summary filter links for hide_status

Fixes: 0021197
mod - core/summary_api.php Diff File

Issue History

Date Modified Username Field Change
2016-07-04 21:49 amberli New Issue
2016-07-05 01:47 atrol Status new => confirmed
2016-10-19 17:22 atrol Note Added: 0054289
2016-10-19 18:05 cproensa Note Added: 0054290
2016-10-20 04:55 cproensa Assigned To => cproensa
2016-10-20 04:55 cproensa Status confirmed => assigned
2016-10-23 01:39 vboctor Changeset attached => MantisBT master-1.3.x e7973023
2016-10-23 01:39 vboctor Assigned To cproensa => vboctor
2016-10-23 01:39 vboctor Status assigned => resolved
2016-10-23 01:39 vboctor Resolution open => fixed
2016-10-23 01:39 vboctor Fixed in Version => 1.3.3
2016-10-23 02:01 vboctor Assigned To vboctor => cproensa
2016-10-23 02:01 vboctor Target Version => 1.3.3
2016-10-30 23:22 vboctor Status resolved => closed